Bug 1649678 - tzdata.zi disagrees slightly with rest of /usr/share/zoneinfo
Summary: tzdata.zi disagrees slightly with rest of /usr/share/zoneinfo
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: tzdata
Version: 31
Hardware: All
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Patsy Griffin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-14 08:24 UTC by Paul Eggert
Modified: 2020-11-24 20:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 20:10:54 UTC
Type: Bug


Attachments (Terms of Use)

Description Paul Eggert 2018-11-14 08:24:22 UTC
Description of problem:

Although the file /usr/share/zoneinfo/tzdata.zi should describe the TZif binary files in /usr/share/zoneinfo, there are two discrepancies. First, tzdata.zi lists a zone Factory but there is no file /usr/share/zoneinfo/Factory. Second, the tzdata.zi file lacks the zone US/Pacific-New but there is a file /usr/share/zoneinfo/US/Pacific-New.

Version-Release number of selected component (if applicable):

tzdata-2018g-1.fc29.noarch

How reproducible:

See below.

Steps to Reproduce:

zic -d /tmp/zoneinfo /usr/share/zoneinfo/tzdata.zi
diff -r /usr/share/zoneinfo/posix /tmp/zoneinfo
grep Factory /usr/share/zoneinfo/tzdata.zi
ls -l /usr/share/zoneinfo/Factory
grep US/Pacific-New /usr/share/zoneinfo/tzdata.zi
ls -l /usr/share/zoneinfo/US/Pacific-New

Actual results:

$ zic -d /tmp/zoneinfo /usr/share/zoneinfo/tzdata.zi
$ diff -r /usr/share/zoneinfo/posix /tmp/zoneinfo
Only in /tmp/zoneinfo: Factory
Only in /usr/share/zoneinfo/posix/US: Pacific-New
$ grep Factory /usr/share/zoneinfo/tzdata.zi
Z Factory 0 - -00
$ ls -l /usr/share/zoneinfo/Factory
ls: cannot access '/usr/share/zoneinfo/Factory': No such file or directory
$ grep US/Pacific-New /usr/share/zoneinfo/tzdata.zi
$ ls -l /usr/share/zoneinfo/US/Pacific-New
-rw-r--r--. 3 root root 2845 Nov 12 14:02 /usr/share/zoneinfo/US/Pacific-New

Expected results:

$ zic -d /tmp/zoneinfo /usr/share/zoneinfo/tzdata.zi
$ diff -r /usr/share/zoneinfo/posix /tmp/zoneinfo
$ grep Factory /usr/share/zoneinfo/tzdata.zi
Z Factory 0 - -00
$ ls -l /usr/share/zoneinfo/Factory
-rw-r--r--. 1 root root 148 Nov 12 14:02 /usr/share/zoneinfo/Factory
$ grep US/Pacific-New /usr/share/zoneinfo/tzdata.zi
$ ls -l /usr/share/zoneinfo/US/Pacific-New
ls: cannot access '/usr/share/zoneinfo/US/Pacific-New': No such file or directory

Additional info:

A simple fix is to add the file /usr/share/zoneinfo/Factory and remove the file /usr/share/zoneinfo/US/Pacific-New to make the TZif files match tzdata.zi, as shown in the "Expected results" above. Alternatively, you could keep the TZif binary files and change tzdata.zi to match; however, in that case, you also need to append '-LABEL' to tzdata.zi's '# version' line, where LABEL identifies Fedora's local changes. For example, you could change '# version 2018g' to '#version 2018g-2.fc29.noarch'.

This bug report is a followup to Bug#1604030 (thanks for fixing that one).

Comment 1 Patsy Griffin 2018-11-14 13:49:36 UTC
Hi Paul,

Thanks for reporting this.

I'll look into it today.

-Patsy

Comment 2 Ben Cotton 2019-10-31 20:19:59 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Paul Eggert 2019-10-31 21:11:37 UTC
The bug is half-fixed in Fedora 31, which has a file /usr/share/zoneinfo/Factory. However, the other half of the bug still exists, as there is a file /usr/share/zoneinfo/US/Pacific-New but there is no entry for US/Pacific-New in /usr/share/zoneinfo/tzdata.zi.

I suggest fixing the discrepancy by removing /usr/share/zoneinfo/US/Pacific-New as that file is a typographical error that confuses users, as discussed on the tzdb mailing list a while back.

Comment 4 Ben Cotton 2020-11-03 15:05:00 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2020-11-24 20:10:54 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Paul Eggert 2020-11-24 20:50:04 UTC
The problem has been fixed in Fedora 33. I'll try to mark this bug report as CURRENTRELEASE (which I think means it's fixed).

Thanks for fixing the bug.


Note You need to log in before you can comment on or make changes to this bug.